var t_height,t_gap, container_height=0;
jQuery(document).ready(function(){
//search box
	var tl_keyword='Search';
	jQuery(".mainsearch .keyword").val(tl_keyword);
	jQuery(".mainsearch").hover(
		function () {
			jQuery(".mainsearch .keyword").css('visibility', 'visible');
			jQuery(this).addClass("mainsearch_hover");
		},	
		function () {
			if(jQuery(".mainsearch .keyword").val()==tl_keyword){
				jQuery(".mainsearch .keyword").css('visibility', 'hidden');
				jQuery(this).removeClass("mainsearch_hover");
			}
	});
	jQuery(".mainsearch .keyword").bind("focus", function(){
  		if(jQuery(this).val()==tl_keyword) jQuery(this).val('');
	});
	
	jQuery(".mainsearch .keyword").bind("blur", function(){
  		if(jQuery(this).val()==''){
  			jQuery(this).val(tl_keyword);
  			jQuery(this).css('visibility', 'hidden');
  			jQuery(".mainsearch").removeClass("mainsearch_hover");
  		}
	});
	
	jQuery("div.menu>ul>li:not(':last')").after('<li class="separator"></li>');
	
	setInterval("checkheight()",1000);
	
});

function checkheight(){
	if(container_height!=jQuery("#container").height()){
		jQuery("#container").css({"padding-bottom":"0px","margin-bottom":"0px"});
		t_height=jQuery("#container").height();
		t_gap=Math.ceil(t_height/64)*64-t_height-6;
		
		jQuery("#container").css({"padding-bottom":t_gap+"px"});
		container_height=jQuery("#container").height();
	}
}